GET Return stores identified by the IDs provided as input.
GET /organizations/{organizationId}/stores
Operation ID: getStores. Security: ShopperToken (sfcc.shopper-stores, sfcc.shopper-standard); ShopperClientContextToken (sfcc.shopper-stores, sfcc.shopper-standard).
Parameters
organizationId(path, OrganizationId, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f_ecom_' followed by a 4-character realm identifier and a 3-character instance type identifier.Example
f_ecom_zzxy_prdids(query, string, required) The IDs of a requested stores (comma separated, max 50 IDs).
Minimum length: 1. Maximum length: 256.siteId(query, SiteId, required) The identifier of the site that a request is being made in the context of. Attributes might have site specific values, and some objects may only be assigned to specific sites.Example: SiteId
RefArchlocale(query, LocaleCode) A descriptor for a geographical region by both a language and country code. By combining these two, regional differences in a language can be addressed, such as with the request header parameterAccept-Languagefollowing RFC 2616 & RFC 1766. This can also just refer to a language code, also RFC 2616/1766 compliant, as a default if there is no specific match for a country. Finally, can also be used to define default behavior if there is no locale specified.Example: LanguageCountry
en-USExample: CountryCode
USsfdc_usid(header, string (uuid)) A unique shopper identifier (USID) for tracking client context. Used with endpoints secured with ShopperClientContextToken. This header is required for all endpoints secured with ShopperClientContextToken.
Example:550e8400-e29b-41d4-a716-446655440000.personalized(query, string) Controls whether personalization is applied to the response. When set tonone, the server skips applying personalization to the response.
Allowed values:none. Example:none.sfdc_shopper_context(header, string) Shopper context information (for example clientIP, sourceCode, and customQualifiers) passed in from a trusted backend application.
Responses
- 200
Returned details for specific stores.
Media type:
application/json. Schema:StoreResult.Example: StoresResult
{ "data": [ { "address1": "1487 Bay St", "city": "Springfield", "countryCode": "US", "distance": 147.03, "distanceUnit": "km", "id": "store9", "name": "Springfield Media Store", "phone": "+1-413-413-6916", "posEnabled": false, "postalCode": "01109", "stateCode": "MA", "storeEvents": "Here are some store events.", "storeHours": "Here are the store hours", "storeLocatorEnabled": true }, { "address1": "70 Wood Ave", "city": "Bridgeport", "countryCode": "US", "distance": 198.36, "distanceUnit": "km", "email": "store1@company.com", "id": "store11", "name": "Electronics Super Store", "phone": "+1-203-965-7014", "posEnabled": false, "postalCode": "06605", "stateCode": "CT", "storeLocatorEnabled": true }, { "address1": "239 Bridge St", "city": "Manchester", "countryCode": "US", "distance": 219, "distanceUnit": "km", "id": "store8", "name": "Gardena Mart", "phone": "+1-603-715-9773", "posEnabled": false, "postalCode": "03104", "stateCode": "NH", "storeLocatorEnabled": true }, { "address1": "150 Winthrop Ave", "city": "Lawrence", "countryCode": "US", "distance": 242.77, "distanceUnit": "km", "id": "store6", "name": "Khale Street Electronics", "phone": "+1-978-580-2704", "posEnabled": false, "postalCode": "01843", "stateCode": "MA", "storeLocatorEnabled": true }, { "address1": "110 Smith St", "city": "Providence", "countryCode": "US", "distance": 245.02, "distanceUnit": "km", "email": "store2@company.com", "id": "store2", "name": "Super Electronics", "phone": "+1-401-312-6284", "posEnabled": false, "postalCode": "02903", "stateCode": "RI", "storeLocatorEnabled": true } ], "limit": 5, "total": 12 } - 400
A value constraint for query parameters was violated. Or, a combination of latitude and longitude, a combination of country code and postal code, or an invalid distance_unit was provided.
Media type:
application/problem+json. Schema:ErrorResponse.Example: MissingIds400
{ "detail": "Missing required query parameter(s): 'ids'", "title": "Bad Request", "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/missing-query-parameter" }